#include <unistd.h>
#include <stdio.h>
#include <math.h>

int printplate(int N, double *T[]) {
//----------------------------------------------------------------------------------
// Write out to a file the values in the heat diffusion plate. The mesh is
// (N+2) x (N+2). The extremes at left/right/top/bottom of the plate are
// indexed by 0 and N+1, and correspond to boundary conditions. Write out those
// as well as the interior unknown values.
//
// There's not much that can go wrong, so I have just returned the value of 0
// for the error flag.
//
// The Matlab script plotplate.m will slurp in the values and generate a nifty
// 3D plot, suitable for framing and treasuring along with your family photos.
// Unless your family is like mine, in which case the plot really deserves better.
//
//----------------
// Randall Bramley
// Department of Computer Science
// Indiana University, Bloomington
//----------------
// Last Modified: Tue 23 Jan 2018, 05:56 PM
//----------------------------------------------------------------------------------

    int i, j;              // loop indices
    FILE* plate = fopen("plate", "w");
    if (plate == NULL) return -3;

    for (i = 0; i <= N+1; ++i) 
        for (j = 0; j <= N+1; ++j) 
            fprintf(plate, "%d   %d   %.17e\n", i, j, T[i][j] );

    fclose(plate);

    return 0;
}
