
subroutine printplate(N, T) 
!----------------------------------------------------------------------------------
! Print out the plate values to a file named "plate". This is for checking and
! viewing via Matlab - see the file showplate.m 
!----------------
! Randall Bramley
! Department of Computer Science
! Indiana University, Bloomington
!----------------
! Last Modified: Thu 25 Jan 2018, 12:19 PM
!----------------------------------------------------------------------------------

    use iso_fortran_env, only: stderr => error_unit, real8 => real64
    implicit none

    integer :: N
    real(kind=real8) :: T(0:N+1,0:N+1)
    integer :: i, j, plate, errflag

    open(newunit=plate, file="plate", action="write", iostat=errflag)
    if (errflag /= 0) then
        write(stderr,777) 'printplate: unable to open file for plate; flag = ', errflag
        stop
    end if

    do i = 0,N+1
        do j = 0, N+1
            write(plate,888) i, j, T(i,j)
        end do
    end do

    close(plate)

    777 format(a, i0)
    888 format(i0, 3x, i0, 5x, es25.17)

end subroutine printplate
